Net::DRI::Data::Contact::CIRA(3pm)

NAME
Net::DRI::Data::Contact::CIRA - Handle CIRA (.CA) contact data for Net::DRI

VERSION
This documentation refers to Net::DRI::Contact::CIRA version 1.01

SYNOPSIS
This module is not used directly, but objects will be created in this class automatically when needed.

DESCRIPTION
This subclass of Net::DRI::Data::Contact adds accessors and validation for CIRA specific data.

METHODS
The following accessors/mutators can be called in chain, as they all return the object itself.

  legal_form()
legal form (see registry list of possible CPR values), mandatory for registrant contacts, otherwise optional

  lang()
contact preferred language, either 'fr' or 'en'

  ip_address()
(optional) registrant originating IP address (v4 or v6)

  agreement()
ref hash with keys version and signed (value being 1 or 0); optional for non registrant contacts registry also adds a third key, 'timestamp'

  reseller_id()
(optional) ID of the registrar reseller

  whois_display()
for registrant contacts, either FULL or PRIVATE

SUPPORT
For now, support questions should be sent to:

<netdri@dotandco.com>

Please also see the SUPPORT file in the distribution.

SEE ALSO
http://www.dotandco.com/services/software/Net-DRI/

AUTHOR
Patrick Mevzek, <netdri@dotandco.com>

COPYRIGHT
Copyright (c) 2010 Patrick Mevzek <netdri@dotandco.com>. All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

See the LICENSE file that comes with this distribution for more details.